# Class: Image

Defined in: | lib/psd/image.coffee
Inherits: | Module

## Direct Known Subclasses

ChannelImage

## Instance Method Summary

- # (void) setChannelsInfo()
- # (void) calculateLength()
- # (void) parse()
- # (void) parseCompression()
- # (void) parseImageData()
- # (void) processImageData()

## Constructor Details

# (void) constructor(file, header)

## Instance Method Details

# (void) setChannelsInfo()

# (void) calculateLength()

# (void) parse()

# (void) parseCompression()

# (void) parseImageData()

# (void) processImageData()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input